// Copyright (c) 2002 Andreas Jnsson, www.AngelCode.com

#include "image.h"
#include <memory.h>  // memset()
#include <stdlib.h>  // rand()

// Global variables
BYTE image[IMG_H*IMG_W];

//-------------------------------------------------------------------

void InitImage()
{
	// Clear image to black
	memset(image, 0, IMG_W*IMG_H);
}

//-------------------------------------------------------------------

void UpdateImage()
{
	// Very simple noise effect
	for( int n = 0; n < IMG_W*IMG_H; n++ )
		image[n] = 255*rand()/RAND_MAX;
}